<mat-card *ngIf="roomInfo" class="room-summary">
  <mat-card-title translate>gameRoom.summary</mat-card-title>
  <mat-card-content>
    <mat-list>

      <mat-list-item *ngIf="!isDiceEditOpen">
        <span class="label" translate>gameRoom.dices</span>
        <span class="value">
          <span class="dice" *ngFor="let dice of roomInfo.dices">{{dice}}</span>
        </span>

        <button *ngIf="isGameMaster" class="open-edit" type="button" mat-raised-button color="primary"
          (click)="openDiceEdit()">
          <span translate>general.edit</span>
        </button>
      </mat-list-item>

      <mat-list-item class="fit-content" *ngIf="isDiceEditOpen">
        <span class="label" translate>gameRoom.dices</span>
        <span class="value">
          <dr-dices-form [dicesForm]="dicesForm"></dr-dices-form>
        </span>

        <div class="dice-edit">
          <button type="button" mat-raised-button color="primary" (click)="updateDices()">
            <span translate>gameRoom.dices.update</span>
          </button>

          <button type="button" mat-raised-button (click)="closeDiceEdit()">
            <span translate>general.cancel</span>
          </button>
        </div>

      </mat-list-item>
      <mat-divider></mat-divider>

      <mat-list-item>
        <span class="label" translate>gameRoom.gameMaster.nickname</span>
        <span class="value">{{roomInfo.gameMaster.nickname}}</span>
      </mat-list-item>

      <ng-container *ngIf="isGameMaster">
        <mat-divider></mat-divider>

        <mat-list-item *ngIf="configForm?.get('allowRoomJoin') as allowRoomJoin">
          <span class="label" translate>startup.createRoom.config.allowRoomJoin</span>
          <mat-slide-toggle class="value" color="primary" [formControl]="allowRoomJoin">
          </mat-slide-toggle>
        </mat-list-item>
        <mat-divider></mat-divider>

        <mat-list-item *ngIf="configForm?.get('autoEnablePlayers') as autoEnablePlayers">
          <span class="label" translate>startup.createRoom.config.autoEnablePlayers</span>
          <mat-slide-toggle class="value" color="primary" [formControl]="autoEnablePlayers">
          </mat-slide-toggle>
        </mat-list-item>
        <mat-divider></mat-divider>

        <mat-list-item *ngIf="configForm?.get('autoEnableDices') as autoEnableDices">
          <span class="label" translate>startup.createRoom.config.autoEnableDices</span>
          <mat-slide-toggle class="value" color="primary" [formControl]="autoEnableDices">
          </mat-slide-toggle>
        </mat-list-item>
      </ng-container>

    </mat-list>

  </mat-card-content>

  <mat-card-actions *ngIf="isGameMaster">
    <button type="button" mat-raised-button color="warn" (click)="destroyRoom()">
      <span translate>gameRoom.summary.destroyRoom</span>
    </button>

  </mat-card-actions>
</mat-card>